TreeReaderFactory.DecimalTreeReader (ORC Core 1.6.6 API)
Date: 2021-01-13

org.apache.orc.impl

## Class TreeReaderFactory.DecimalTreeReader

- java.lang.Object
- - org.apache.orc.impl.TreeReaderFactory.TreeReader
  - - org.apache.orc.impl.TreeReaderFactory.DecimalTreeReader

- Enclosing class:
    TreeReaderFactory

      public static class TreeReaderFactory.DecimalTreeReader
      extends TreeReaderFactory.TreeReader

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected int` | `precision`
    `protected int` | `scale`
    `protected IntegerReader` | `scaleReader`
    `protected InStream` | `valueStream`

    - ### Fields inherited from class org.apache.orc.impl.TreeReaderFactory.TreeReader

      `columnId, context, present, vectorColumnCount`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DecimalTreeReader(int columnId, InStream present, InStream valueStream, InStream scaleStream, OrcProto.ColumnEncoding encoding, int precision, int scale, TreeReaderFactory.Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `nextVector(ColumnVector result, boolean[] isNull, int batchSize)` Populates the isNull vector array in the previousVector object based on the present stream values.
    `void` | `seek(PositionProvider index)`
    `void` | `seek(PositionProvider[] index)` Seek to the given position.

    - ### Methods inherited from class org.apache.orc.impl.TreeReaderFactory.TreeReader

      `countNonNulls, createIntegerReader, getColumnId, getPresent, nextBatch`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### precision

          protected final int precision

    - #### scale

          protected final int scale

    - #### valueStream

          protected InStream valueStream

    - #### scaleReader

          protected IntegerReader scaleReader

  - ### Constructor Detail

    - #### DecimalTreeReader

          protected DecimalTreeReader(int columnId,
                                      InStream present,
                                      InStream valueStream,
                                      InStream scaleStream,
                                      OrcProto.ColumnEncoding encoding,
                                      int precision,
                                      int scale,
                                      TreeReaderFactory.Context context)
                               throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### seek

          public void seek(PositionProvider[] index)
                    throws IOException

      Description copied from class: `TreeReaderFactory.TreeReader`
      Seek to the given position.
      Overrides:
        `seek` in class `TreeReaderFactory.TreeReader`
      Parameters:
        `index` - the indexes loaded from the file
      Throws:
        `IOException`

    - #### seek

          public void seek(PositionProvider index)
                    throws IOException

      Overrides:
        `seek` in class `TreeReaderFactory.TreeReader`
      Throws:
        `IOException`

    - #### nextVector

          public void nextVector(ColumnVector result,
                                 boolean[] isNull,
                                 int batchSize)
                          throws IOException

      Description copied from class: `TreeReaderFactory.TreeReader`
      Populates the isNull vector array in the previousVector object based on the present stream values. This function is called from all the child readers, and they all set the values based on isNull field value.
      Overrides:
        `nextVector` in class `TreeReaderFactory.TreeReader`
      Parameters:
        `result` - The columnVector object whose isNull value is populated
        `isNull` - Whether the each value was null at a higher level. If isNull is null, all values are non-null.
        `batchSize` - Size of the column vector
      Throws:
        `IOException`

Copyright © 2013–2021 The Apache Software Foundation. All rights reserved.